Outlook 365 crash: Pressing DownArrow in rapid succession closes Outlook


Daniel Gartmann
 

 

Hello,

 

I have been able to reproduce this a couple of times in a row now running NVDA 2020.4 beta 4. It happens if I do quick presses of DownArrow when at the end of a message.

 

I am quickly pasting a log fragment in the hope that it can be useful in debugging the issue:

 

I am not sure where else to post this, but I am more than happy to do further testing if someone asks for it in the effort to find out what’s going on.

 

Regards

 

Daniel

 

Here is the log fragment:

 

Traceback (most recent call last):

  File "scriptHandler.pyc", line 208, in executeScript

  File "cursorManager.pyc", line 255, in script_moveByLine_forward

  File "cursorManager.pyc", line 129, in _caretMovementScriptHelper

  File "documentBase.pyc", line 24, in makeTextInfo

  File "treeInterceptorHandler.pyc", line 174, in __init__

  File "NVDAObjects\UIA\__init__.pyc", line 306, in __init__

RuntimeError: No selection available

ERROR - scriptHandler.executeScript (13:59:41.075) - MainThread (13556):

error executing script: <bound method CursorManager.script_moveByLine_forward of <NVDAObjects.UIA.wordDocument.WordBrowseModeDocument object at 0x08E6B810>> with gesture 'pil ned'

Traceback (most recent call last):

  File "NVDAObjects\UIA\__init__.pyc", line 304, in __init__

  File "comtypesMonkeyPatches.pyc", line 26, in __call__

_ctypes.COMError: (-2147220991, 'En hændelse kunne ikke starte nogen af abonnenterne.', (None, None, None, 0, None))

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "scriptHandler.pyc", line 208, in executeScript

  File "cursorManager.pyc", line 255, in script_moveByLine_forward

  File "cursorManager.pyc", line 129, in _caretMovementScriptHelper

  File "documentBase.pyc", line 24, in makeTextInfo

  File "treeInterceptorHandler.pyc", line 174, in __init__

  File "NVDAObjects\UIA\__init__.pyc", line 306, in __init__

RuntimeError: No selection available

ERROR - scriptHandler.executeScript (13:59:41.103) - MainThread (13556):

error executing script: <bound method CursorManager.script_moveByLine_back of <NVDAObjects.UIA.wordDocument.WordBrowseModeDocument object at 0x08E6B810>> with gesture 'pil op'

Traceback (most recent call last):

  File "NVDAObjects\UIA\__init__.pyc", line 304, in __init__

  File "comtypesMonkeyPatches.pyc", line 26, in __call__

_ctypes.COMError: (-2147220991, 'En hændelse kunne ikke starte nogen af abonnenterne.', (None, None, None, 0, None))

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "scriptHandler.pyc", line 208, in executeScript

  File "cursorManager.pyc", line 251, in script_moveByLine_back

  File "cursorManager.pyc", line 129, in _caretMovementScriptHelper

  File "documentBase.pyc", line 24, in makeTextInfo

  File "treeInterceptorHandler.pyc", line 174, in __init__

  File "NVDAObjects\UIA\__init__.pyc", line 306, in __init__

RuntimeError: No selection available

INFO - globalCommands.GlobalCommands.script_navigatorObject_devInfo (13:59:47.338) - MainThread (13556):

 

 

Join nvda@nvda.groups.io to automatically receive all group messages.